###################################################################################################
# _ztrashcanclient.py
#
# Implementation of classes ZTrashcanClient (see below).
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
###################################################################################################


###################################################################################################
###################################################################################################
###
###   class ZTrashcanClient
###
###################################################################################################
###################################################################################################
class ZTrashcanClient:

  # -------------------------------------------------------------------------------------------------
  #  ZTrashcanClient.moveObjToTrashcan
  # -------------------------------------------------------------------------------------------------
  def moveObjToTrashcan(self, obj, REQUEST):
    trashcan = self.getTrashcan()
    ids = [obj.id]
    cb_copy_data = self.manage_cutObjects(ids,REQUEST)
    trashcan.manage_pasteObjs(REQUEST)

  # -------------------------------------------------------------------------------------------------
  #  ZTrashcanClient.getTrashcan
  # -------------------------------------------------------------------------------------------------
  def getTrashcan(self):
    docElmnt = self.getDocumentElement()
    if len(docElmnt.objectValues(['ZMSTrashcan']))==0:
      docElmnt.manage_addZMSObject('ZMSTrashcan',values={},REQUEST={'lang':self.getPrimaryLanguage()})
    return docElmnt.objectValues(['ZMSTrashcan'])[0]
    
###################################################################################################
